<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="filoblu_amazon_connect_chat_custom"
          label="FB Amazon Connect Chat Custom"
          component="Magento_PageBuilder/js/content-type"
          preview_component="FiloBlu_Refilo/js/content-type/preview"
          form="pagebuilder_filoblu_amazon_connect_chat_custom"
          menu_section="filoblu_controls"
          icon="icon-pagebuilder-block"
          sortOrder="7"
          translate="label">
        <children default_policy="deny"/>
        <appearances>
            <appearance default="true"
                        name="default"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-amazon-connect-chat-custom/default/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-amazon-connect-chat-custom/default/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="text_align" source="text_align"/>
                        <style name="border" source="border_style" converter="Magento_PageBuilder/js/converter/style/border-style"/>
                        <style name="border_color" source="border_color"/>
                        <style name="border_width" source="border_width" converter="Magento_PageBuilder/js/converter/style/border-width"/>
                        <style name="border_radius" source="border_radius" converter="Magento_PageBuilder/js/converter/style/remove-px"/>
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <style name="min_height" source="min_height" converter="Magento_PageBuilder/js/converter/style/min-height" preview_converter="Magento_PageBuilder/js/converter/style/min-height"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="amazon_connect_chat_text" source="data-amazon-connect-chat-text"/>
                        <attribute name="amazon_connect_chat_text_color" source="data-amazon-connect-chat-text-color"/>
                        <attribute name="amazon_connect_chat_bg_color" source="data-amazon-connect-chat-bg-color"/>
                        <attribute name="widget_position" source="data-widget-position"/>
                        <attribute name="amazon_connect_chat_top_distance" source="data-amazon-connect-chat-top-distance"/>
                        <attribute name="amazon_connect_chat_z_index" source="data-amazon-connect-chat-z-index"/>
                        <attribute name="amazon_connect_chat_offset_top" source="data-amazon-connect-chat-offset-top"/>
                        <attribute name="amazon_connect_chat_notification_bg_color" source="data-amazon-connect-chat-snotification-bg-color"/>
                        <attribute name="amazon_connect_chat_title" source="data-amazon-connect-chat-title"/>
                        <attribute name="amazon_connect_chat_bot_name" source="data-amazon-connect-chat-bot-name"/>
                        <attribute name="amazon_connect_chat_contact_flow_id" source="data-amazon-connect-chat-contact-flow-id"/>
                        <attribute name="amazon_connect_chat_instance_id" source="data-amazon-connect-chat-instance-id"/>
                        <attribute name="amazon_connect_chat_api_gateway_endpoint" source="data-amazon-connect-chat-api-gateway-endpoint"/>
                        <attribute name="amazon_connect_chat_brand" source="data-amazon-connect-chat-brand"/>
                        <attribute name="amazon_connect_chat_duration" source="data-amazon-connect-chat-duration"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
            </appearance>
        </appearances>
    </type>
</config>
